Page MenuHomeFreeBSD

Add emulators/qemu-utils
ClosedPublic

Authored by asomers on Sep 26 2016, 7:46 PM.

Details

Summary

Add emulators/qemu-utils

qemu-utils is a new port which installs a few miscellaneous qemu utilities
that are useful even without emulation capabilities. It is equivalent to
the Debian package of the same name.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

asomers updated this revision to Diff 20712.Sep 26 2016, 7:46 PM
asomers retitled this revision from to Add emulators/qemu-utils.
asomers updated this object.
asomers edited the test plan for this revision. (Show Details)
asomers added reviewers: sbruno, nox, bofh.
sbruno accepted this revision.Sep 26 2016, 10:53 PM
sbruno edited edge metadata.

As long as you've tested on 9/10/11 and HEAD, looks good from here.

I'll leave "nox" as a reviewer here for posterity. I wish he was around to comment on this review. :-(

This revision is now accepted and ready to land.Sep 26 2016, 10:53 PM
brd accepted this revision.Oct 1 2016, 7:09 PM
brd added a reviewer: brd.
brd added a subscriber: brd.

Looks good to me as well.

Only one question, could it be a slave port of another qemu port?

emulators/qemu-utils/files/patch-qemu-doc.texi
8 ↗(On Diff #20712)

This seems like your editor might have helped you .. ?

sbruno added a comment.Oct 3 2016, 2:09 PM
In D8038#167848, @brd wrote:

Looks good to me as well.
Only one question, could it be a slave port of another qemu port?

Actually that's a good idea. Can we make this a slave of emulators/qemu so that the version always matches?

In D8038#167848, @brd wrote:

Looks good to me as well.
Only one question, could it be a slave port of another qemu port?

Actually that's a good idea. Can we make this a slave of emulators/qemu so that the version always matches?

Not without also modifying emulators/qemu/Makefile. But I can try.

emulators/qemu-utils/files/patch-qemu-doc.texi
8 ↗(On Diff #20712)

Nope. I faithfully copied this patch from all the other qemu* ports.

bofh added inline comments.Oct 3 2016, 7:47 PM
emulators/qemu-utils/Makefile
21 ↗(On Diff #20712)

I had the impression that it adds functionality to the qemu port. If you don't have qemu is there any other requirement for this port? I believe it would be better to add it as an OPTION rather than creating a new port.

asomers added inline comments.Oct 3 2016, 7:55 PM
emulators/qemu-utils/Makefile
21 ↗(On Diff #20712)

I doesn't add functionality; it removes it. The purpose is to provide qemu-img with _far_ fewer dependencies. I could theoretically add it as an OPTION, but it would be hard because the qemu port is complicated, including both positive and negative options, co-dependent options, and optional patching.

asomers updated this revision to Diff 20996.Oct 3 2016, 8:24 PM
asomers edited edge metadata.

Remove unneeded USE flag

This revision now requires review to proceed.Oct 3 2016, 8:24 PM
brd added inline comments.Oct 3 2016, 8:49 PM
emulators/qemu-utils/Makefile
21 ↗(On Diff #20712)

I think having a new port is best, so we can make it easy for people to install a pkg of just what people need... so master/slave seems best to me.

bofh added inline comments.Oct 3 2016, 9:11 PM
emulators/qemu-utils/Makefile
21 ↗(On Diff #20712)

Master/Slave it is. @asomers if you can give me a patch for both qemu and qemu-devel it would be great. I have already started working with 2.7.X branch. Lets see how it ends up.

asomers updated this revision to Diff 21044.Oct 4 2016, 8:20 PM
asomers edited edge metadata.

Turn qemu-utils into a slave of qemu

sbruno accepted this revision.Oct 14 2016, 5:36 PM
sbruno edited edge metadata.

stlgtm

This revision is now accepted and ready to land.Oct 14 2016, 5:36 PM
This revision was automatically updated to reflect the committed changes.